import logging

from ..context import Context

logger = logging.getLogger(__name__)

def __call__ (config):
    context = Context(config, logger)
    context.debconf("opensmtpd/mailname", "string", context.get_hostname())
    context.debconf("opensmtpd/mailname", "seen", "true")
    
    context.debconf("opensmtpd/root_address", "string", "")
    context.debconf("opensmtpd/root_address", "seen", "true")
    
    context.debconf("shared/accepted-oracle-license-v1-1", "select", "true")
    context.debconf("shared/accepted-oracle-license-v1-1", "seen", "true")