import logging

from ..context import Context

logger = logging.getLogger(__name__)

def __call__ (config):
    context = Context(config, logger)
    
    logger.info("Removing all Cattura packages")
    context.remove("cattura-*")
    
    logger.info("Removing all traces of Cattura from the filesystem")
    context.call_privileged(["rm", "-rf", context.get_path(context.config.cattura_path)])