import logging

from ..context import Context
from ..registration import REPOS

logger = logging.getLogger(__name__)

def __call__ (config):
    context = Context(config, logger)
    
    logger.info("Removing Cattura repository from apt")
    context.call_privileged(["rm", context.get_path(REPOS["capturecast"]["file"])])
    
    # update apt-get
    context.apt_update()