E_PKEY = (2, "Invalid product key")
E_ACTIVATE = (3, "The product needs to be activated.")
E_INET = (4, "Connection to the server failed.")
E_INUSE = (5, "The product key has already been activated with the maximum number of computers.")
E_REVOKED = (6, "The product key has been revoked.")
E_PDETS = (8, 'The product details file "TurboActivate.dat" failed to load.')
E_TRIAL = (9, "The trial data has been corrupted, using the oldest date possible.")
E_COM = (11, "The hardware id couldn't be generated due to an error in the COM setup. Re-enable Windows Management Instrumentation (WMI) in your group policy editor or reset the local group policy to the default values. Contact your system admin for more information.")
E_TRIAL_EUSED = (12, "The trial extension has already been used.")
E_EXPIRED = (13, "The activation has expired or the system time has been tampered with. Ensure your time, timezone, and date settings are correct.")
E_TRIAL_EEXP = (13, "The trial extension has expired.")
E_INSUFFICIENT_BUFFER = (14, "The buffer size was too small. Create a larger buffer and try again.")
E_PERMISSION = (15, "Insufficient system permission.")
E_INVALID_FLAGS = (16, "The flags you passed to TA_CheckAndSavePKey(...) or TA_UseTrial(...) were invalid (or missing).")
E_IN_VM = (17, "The function failed because this instance of your program if running inside a virtual machine / hypervisor and you've prevented the function from running inside a VM.")
E_EDATA_LONG = (18, """The "extra data" was too long. You're limited to 255 UTF-8 characters. Or, on Windows, a Unicode string that will convert into 255 UTF-8 characters or less.""")
E_INVALID_ARGS = (19, "The arguments passed to the function are invalid. Double check your logic.")
E_KEY_FOR_TURBOFLOAT = (20, "The product key used is for TurboFloat, not TurboActivate.")
E_INET_DELAYED = (21, "TA_IsGenuineEx() previously had a TA_E_INET error, and instead of hammering the end-user's network, TA_IsGenuineEx() is waiting 5 hours before rechecking on the network.")
E_FEATURES_CHANGED = (22, "If TA_IsGenuine() or TA_IsGenuineEx() reactivated and the custom license fields have changed, then this will be the return code. Treat this as a success.")
E_ANDROID_NOT_INIT = (23, "You didn't call the TA_InitAndroid() function before using the TurboActivate functions.")
E_NO_MORE_ACTIVATIONS = (24, "This product key had a limited number of allowed deactivations. No more deactivations are allowed for the product key. This product is still activated on this computer.")
E_ACCOUNT_CANCELLED = (25, "Can't activate or start a verified trial because the LimeLM account is cancelled.")
E_ALREADY_ACTIVATED = (26, "You can't use a product key because your app is already activated with a product key.")
E_INVALID_HANDLE = (27, "The handle is not valid. To get a handle use TA_GetHandle().")
E_ENABLE_NETWORK_ADAPTERS = (28, "There are network adapters on the system that are disabled and TurboActivate couldn't read their hardware properties (even after trying and failing to enable the adapters automatically).")
E_ALREADY_VERIFIED_TRIAL = (29, "The trial is already a verified trial")
E_TRIAL_EXPIRED = (30, "The verified trial has expired. You must request a trial extension from the company.")
E_MUST_SPECIFY_TRIAL_TYPE = (31, "You must specify the trial type (TA_UNVERIFIED_TRIAL or TA_VERIFIED_TRIAL).")
E_MUST_USE_TRIAL = (32, "You must call TA_UseTrial() before you can get the number of trial days remaining.")
E_NO_MORE_TRIALS_ALLOWED = (33, "In the LimeLM account either the trial days is set to 0, OR the account is set to not auto-upgrade and thus no more verified trials can be made.")
E_IN_SANDBOX = (34, "The function failed because this instance of your program if running inside a Sandbox (e.g. Sandboxie, Docker, etc.) and you've prevented the function from running inside a Sandbox.")